Subject: Re: Apache/PHP Problem:CLOSE_WAIT sockets
From: Stipe Tolj <[email-masked]>
To: Alvin Ng <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Oct 2001 09:15:00 +0200

> Tested like this:
> gets HTML page from Apache : OK( Port closes)
> gets plain PHP page from Apache: OK( Port closes)
> gets simple PHP script that outputs PGSQL data (script outputs as
> expected): CLOSE_WAIT
> 
>   The script executes the pgClose(database); statement.
> 
> >How did you see about CLOSE_WAIT states in sockets?
> I did a netstat and also used a tool called ActivePorts from Smartline to
> monitor the connections(the tool reports the process that is currently using
> the port)
> 
> I installed the non-cgywin Win32 Apache from Apache Group and the win32 PHP
> from php.net. Seems like there is no problem in this case, even when PHP
> script is talking to the Cygwin PGSQL.

so my suggestion that there is something wrong with socket
communication under Cygwin is more and more enlighted.

I have similar "problems" with Apache's keep-alive, where some process
stay in kell-alive state forever and then suddenly closes the socket.

Can someone from the Cygwin Core team please check this!!! Thanks.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/